Bug 124227 - too few arguments for printf-format
too few arguments for printf-format
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: cyrus-sasl (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 16:36 EDT by d.binderman
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 08:44:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-05-24 16:36:19 EDT
Description of problem:

I just tried to compile package cyrus-sasl-2.1.18-2 from Redhat Fedora
Core2.

The compiler said

saslauthd.c:587: warning: too few arguments for format

The source code is

                syslog(LOG_ERR, "do_request read(fd=%d): %m");

I agree with the compiler. Suggest either supply another parameter 
for the %d, or delete the %d.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Binderman 2005-03-09 09:19:10 EST
Still broken in the version of 09 March 2005
Comment 2 Matthew Miller 2005-04-26 12:09:56 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 David Binderman 2005-04-26 14:37:01 EDT
>If it is not a
>security issue and hasn't been resolved in the current FC3 updates or
>in the FC4 test release, reopen and change the version to match.

Doh.

I think 09 March 05 probably matches FC3, and might match FC4Test1.

I think this bug report is still live.

Bugzilla won't let me change the version from FC2 to FC3 or FC4.

Comment 4 Matthew Miller 2005-04-26 15:01:12 EDT
Seems to still be there in FC3, but the devel/FC4 package is different and
doesn't even have a saslauthd.c -- and in fact, doesn't seem to have a similar
line at all. So I suspect that this has been fixed upstream. (And even if it
hasn't, this kind of code cleanup is probably going to be addressed more quickly
by the upstream maintainers....)

I'm going to move this to FC3, but I think probably it should be fixed upstream
if it hasn't been already....
Comment 5 John Thacker 2006-10-30 08:44:50 EST
Agree with the previous comment; this is very much the type of bug that should
be reported and fixed upstream.  This was fixed upstream and is fixed in FC4 and
forwards.  Since FC3 is only supported by Fedora Legacy for security fixes, I'm
going to close this as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.